Package org.eclipse.cdt.utils.coff

# Class PE64.NTOptionalHeader32

java.lang.Object
org.eclipse.cdt.utils.coff.PE64.NTOptionalHeader32

Enclosing class:
  `PE64`

public static class PE64.NTOptionalHeader32 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`CheckSum`
`PE64.IMAGE_DATA_DIRECTORY[]`
`DataDirectory`
`short`
`DLLCharacteristics`
`int`
`FileAlignment`
`int`
`ImageBase`
`int`
`LoaderFlags`
`short`
`MajorImageVersion`
`short`
`MajorOperatingSystemVersion`
`short`
`MajorSubsystemVersion`
`short`
`MinorImageVersion`
`short`
`MinorOperatingSystemVersion`
`short`
`MinorSubsystemVersion`
`static final int`
`NTHDRSZ`
`int`
`NumberOfRvaAndSizes`
`byte[]`
`Reserved`
`int`
`SectionAlignment`
`int`
`SizeOfHeaders`
`int`
`SizeOfHeapCommit`
`int`
`SizeOfHeapReserve`
`int`
`SizeOfImage`
`int`
`SizeOfStackCommit`
`int`
`SizeOfStackReserve`
`short`
`Subsystem`

## Constructor Summary

Constructors
Constructor
Description
`NTOptionalHeader32(RandomAccessFile file)`
`NTOptionalHeader32(RandomAccessFile file, long offset)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NTHDRSZ

public static final int NTHDRSZ

See Also:
  - Constant Field Values

### ImageBase

public int ImageBase

### SectionAlignment

public int SectionAlignment

### FileAlignment

public int FileAlignment

### MajorOperatingSystemVersion

public short MajorOperatingSystemVersion

### MinorOperatingSystemVersion

public short MinorOperatingSystemVersion

### MajorImageVersion

public short MajorImageVersion

### MinorImageVersion

public short MinorImageVersion

### MajorSubsystemVersion

public short MajorSubsystemVersion

### MinorSubsystemVersion

public short MinorSubsystemVersion

### Reserved

public byte[] Reserved

### SizeOfImage

public int SizeOfImage

### SizeOfHeaders

public int SizeOfHeaders

### CheckSum

public int CheckSum

### Subsystem

public short Subsystem

### DLLCharacteristics

public short DLLCharacteristics

### SizeOfStackReserve

public int SizeOfStackReserve

### SizeOfStackCommit

public int SizeOfStackCommit

### SizeOfHeapReserve

public int SizeOfHeapReserve

### SizeOfHeapCommit

public int SizeOfHeapCommit

### LoaderFlags

public int LoaderFlags

### NumberOfRvaAndSizes

public int NumberOfRvaAndSizes

### DataDirectory

public PE64.IMAGE_DATA_DIRECTORY[] DataDirectory

## Constructor Details

### NTOptionalHeader32

public NTOptionalHeader32(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### NTOptionalHeader32

public NTOptionalHeader32(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`